Nimbu Developer Docs
ReferenceSettings

Get shop settings

GET
/settings/shop

Returns the shop-related subset of site settings (currency, ecommerce, invoices, packing slips).

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/settings/shop"
{
  "currency": "string",
  "enable_ecommerce": true,
  "order_id_format": "string",
  "unit_system": "string",
  "enable_credits": true,
  "enable_digital_products": true,
  "enable_gift_cards": true,
  "expose_invisible_products": true,
  "reservations_enabled": true,
  "max_reservation_time": 0,
  "max_reservation_limit": 0,
  "generate_free_invoices": true,
  "disable_invoices": true,
  "invoice_number_format": "string",
  "customer_number_format": "string",
  "packing_hide_prices": true,
  "packing_hide_billing_address": true,
  "packing_attach_to_order_notification": true
}